"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var binder_base_1 = require("./binder-base");
var ApiConventionBinder = /** @class */ (function (_super) {
    tslib_1.__extends(ApiConventionBinder, _super);
    function ApiConventionBinder() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ApiConventionBinder.prototype.bind = function (routeInfo, parameterName, request) {
        if (routeInfo.classMetaData.baseClass == "ApiController") {
            var index = routeInfo.methodMetaData.parameters.findIndex(function (x) { return x.name == parameterName; });
            if (index == 0 && routeInfo.methodMetaData.name == "add")
                return this.exit(request.body);
            if (index == 1 &&
                (routeInfo.methodMetaData.name == "replace" ||
                    routeInfo.methodMetaData.name == "modify"))
                return this.exit(request.body);
        }
        return this.next();
    };
    return ApiConventionBinder;
}(binder_base_1.BinderBase));
exports.ApiConventionBinder = ApiConventionBinder;
