import { RouteInfo, HttpRequest } from "kamboja-core";
export interface BinderResult {
    type: "Next" | "Exit";
    value?: any;
}
export declare abstract class BinderBase {
    abstract bind(routeInfo: RouteInfo, parameterName: string, request: HttpRequest): BinderResult;
    protected next(): BinderResult;
    protected exit(value: any): BinderResult;
}
