"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var auto_converter_1 = require("./auto-converter");
var base_converter_1 = require("./base-converter");
var DefaultValueConverter = /** @class */ (function (_super) {
    tslib_1.__extends(DefaultValueConverter, _super);
    function DefaultValueConverter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DefaultValueConverter.prototype.convert = function (meta, value) {
        if (typeof value == "object")
            return this.exit(value);
        return this.exit(auto_converter_1.autoConvert(value));
    };
    return DefaultValueConverter;
}(base_converter_1.BaseConverter));
exports.DefaultValueConverter = DefaultValueConverter;
