"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var middleware_base_1 = require("./middleware-base");
var CallbackMiddleware = /** @class */ (function (_super) {
    tslib_1.__extends(CallbackMiddleware, _super);
    function CallbackMiddleware(callback) {
        var _this = _super.call(this) || this;
        _this.callback = callback;
        return _this;
    }
    CallbackMiddleware.prototype.execute = function (context, next) {
        return this.callback(context, next);
    };
    return CallbackMiddleware;
}(middleware_base_1.Middleware));
exports.CallbackMiddleware = CallbackMiddleware;
