"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ControllerFactory;
(function (ControllerFactory) {
    function resolve(routeInfo, resolver) {
        try {
            return resolver.resolve(routeInfo.classId);
        }
        catch (e) {
            throw new Error("Can not instantiate [" + routeInfo.classId + "] as Controller.\n\t Inner message: " + e.message);
        }
    }
    ControllerFactory.resolve = resolve;
})(ControllerFactory = exports.ControllerFactory || (exports.ControllerFactory = {}));
