"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var kamboja_core_1 = require("kamboja-core");
var MiddlewareInvocation = /** @class */ (function (_super) {
    tslib_1.__extends(MiddlewareInvocation, _super);
    function MiddlewareInvocation(middleware, next, middlewares, facade, controllerInfo) {
        var _this = _super.call(this) || this;
        _this.middleware = middleware;
        _this.next = next;
        _this.middlewares = middlewares;
        _this.facade = facade;
        _this.controllerInfo = controllerInfo;
        return _this;
    }
    MiddlewareInvocation.prototype.proceed = function () {
        this.next.context = this.context;
        this.next.parameters = this.parameters;
        return this.middleware.execute(this.context, this.next);
    };
    return MiddlewareInvocation;
}(kamboja_core_1.Invocation));
exports.MiddlewareInvocation = MiddlewareInvocation;
