export declare class DefaultPathResolver {
    private rootPath;
    constructor(rootPath: string);
    /**
     * Resolve path from relative to absolute
     */
    resolve(path: string): string;
    /**
     * Convert absolute path to relative to this.rootPath
     */
    relative(absolute: string): string;
    /**
     * Normalize path to qualified name path
     */
    normalize(path: string): string;
}
