"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kamboja_core_1 = require("kamboja-core");
var ClassNotExportedControllerAnalyzer = /** @class */ (function () {
    function ClassNotExportedControllerAnalyzer() {
    }
    ClassNotExportedControllerAnalyzer.prototype.analyse = function (route) {
        if (route.analysis && route.analysis.some(function (x) { return x == kamboja_core_1.RouteAnalysisCode.ClassNotExported; })) {
            return [{
                    code: kamboja_core_1.RouteAnalysisCode.ClassNotExported,
                    type: "Warning",
                    message: "Can not generate route because class is not exported [" + route.qualifiedClassName + "]"
                }];
        }
    };
    return ClassNotExportedControllerAnalyzer;
}());
exports.ClassNotExportedControllerAnalyzer = ClassNotExportedControllerAnalyzer;
