"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kamboja_core_1 = require("kamboja-core");
var helper_1 = require("../helper");
var ConflictInternalDecoratorAnalyzer = /** @class */ (function () {
    function ConflictInternalDecoratorAnalyzer() {
    }
    ConflictInternalDecoratorAnalyzer.prototype.analyse = function (route) {
        if (route.analysis && route.analysis.some(function (x) { return x == kamboja_core_1.RouteAnalysisCode.ConflictDecorators; })) {
            return [{
                    code: kamboja_core_1.RouteAnalysisCode.ConflictDecorators,
                    type: "Error",
                    message: "Route conflict, @route.ignore() can't be combined with other type of routes in " + helper_1.getRouteDetail(route)
                }];
        }
    };
    return ConflictInternalDecoratorAnalyzer;
}());
exports.ConflictInternalDecoratorAnalyzer = ConflictInternalDecoratorAnalyzer;
