"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var kamboja_core_1 = require("kamboja-core");
var helper_1 = require("../helper");
var ConventionFailDecoratorAnalyzer = /** @class */ (function () {
    function ConventionFailDecoratorAnalyzer() {
    }
    ConventionFailDecoratorAnalyzer.prototype.analyse = function (route) {
        if (route.analysis && route.analysis.some(function (x) { return x == kamboja_core_1.RouteAnalysisCode.ConventionFail; })) {
            return [{
                    code: kamboja_core_1.RouteAnalysisCode.ConventionFail,
                    type: "Warning",
                    message: "Method name match API Convention but has lack of parameters in " + helper_1.getRouteDetail(route)
                }];
        }
    };
    return ConventionFailDecoratorAnalyzer;
}());
exports.ConventionFailDecoratorAnalyzer = ConventionFailDecoratorAnalyzer;
