import * as Kecubung from "kecubung";
import * as Core from "kamboja-core";
import { TransformerBase } from "./transformer-base";
export declare type MethodConventionType = "get" | "list" | "add" | "replace" | "modify" | "delete";
export declare class ApiConventionTransformer extends TransformerBase {
    private conventions;
    transform(meta: Kecubung.MethodMetaData, parent: string, prevResult: Core.RouteInfo[] | undefined): Core.TransformResult;
    private singleParam(meta, parent, method);
    private noParam(meta, parent, method);
}
