"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var binder_base_1 = require("./binder-base");
var value_converter_1 = require("./value-converter");
var DefaultBinder = /** @class */ (function (_super) {
    tslib_1.__extends(DefaultBinder, _super);
    function DefaultBinder() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DefaultBinder.prototype.bind = function (routeInfo, parameterName, request) {
        return this.exit(value_converter_1.convert(routeInfo, parameterName, request.getParam(parameterName)));
    };
    return DefaultBinder;
}(binder_base_1.BinderBase));
exports.DefaultBinder = DefaultBinder;
