import * as Core from "kamboja-core";
import * as Kecubung from "kecubung";
export interface ConverterResult {
    type: "Next" | "Exit";
    result?: any;
}
export declare abstract class BaseConverter {
    protected routeInfo: Core.RouteInfo;
    constructor(routeInfo: Core.RouteInfo);
    abstract convert(meta: Kecubung.ParameterMetaData, value: string): ConverterResult;
    next(): ConverterResult;
    exit(result?: any): ConverterResult;
}
