"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var decorator_1 = require("../../decorator");
exports.MiddlewareMetadataKey = "kamboja:middleware";
exports.MiddlewareIdMetadataKey = "kamboja:middleware:id";
var MiddlewareDecorator = /** @class */ (function () {
    function MiddlewareDecorator() {
    }
    MiddlewareDecorator.prototype.use = function (middleware) {
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            decorator_1.DecoratorHelper.save(exports.MiddlewareMetadataKey, middleware, args);
        };
    };
    MiddlewareDecorator.prototype.id = function (id) {
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            decorator_1.DecoratorHelper.save(exports.MiddlewareIdMetadataKey, id, args);
        };
    };
    MiddlewareDecorator.getId = function (target) {
        var result = decorator_1.DecoratorHelper.get(exports.MiddlewareIdMetadataKey, target);
        return result ? result[0] : undefined;
    };
    MiddlewareDecorator.getMiddlewares = function (target, methodName) {
        return decorator_1.DecoratorHelper.get(exports.MiddlewareMetadataKey, target, methodName);
    };
    return MiddlewareDecorator;
}());
exports.MiddlewareDecorator = MiddlewareDecorator;
exports.middleware = new MiddlewareDecorator();
