import { MetaDataLoaderCategory, PathResolver, IdentifierResolver, MetaDataStorage, QualifiedClassMetaData } from "kamboja-core";
import * as Kecubung from "kecubung";
export declare class MetaDataLoader implements MetaDataStorage {
    private idResolver;
    pathResolver: PathResolver;
    private flatStorage;
    private storage;
    constructor(idResolver: IdentifierResolver, pathResolver: PathResolver);
    load(path: string | string[], category: MetaDataLoaderCategory): void;
    private getFilePaths(paths, category);
    getFiles(category: MetaDataLoaderCategory): Kecubung.ParentMetaData[];
    getClasses(category: MetaDataLoaderCategory): QualifiedClassMetaData[];
    get(classId: string): QualifiedClassMetaData | undefined;
}
