import * as Kecubung from "kecubung";
import * as Core from "kamboja-core";
import { ValidatorBase } from "./baseclasses";
export declare class ValidatorImpl extends ValidatorBase implements Core.Validator {
    private metaDataStorage;
    private parameters;
    private classMetaData;
    private errors;
    private methodName;
    static create(): ValidatorImpl;
    constructor(metaDataStorage: Core.MetaDataStorage, validators: Core.ValidatorCommand[]);
    setValue(parameters: any[], meta: Kecubung.ClassMetaData, methodName: string): void;
    isValid(): boolean;
    getValidationErrors(): Core.ValidationError[] | undefined;
}
